Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZSubtreeCache Class Reference

The class eZSubtreeCache does. More...

## Static Public Member Functions
static | cleanupByNodeIDs (&$nodeIDList)
static | cleanup (&$nodeList)
static | cleanupAll ()
static | cleanupCacheDir ( $cacheDir)
static | renameDir ( $dir)
static | removeAllExpiryCacheFromDisk ()
static | removeExpiryCacheFromDisk ( $expiryCachePath)

## Detailed Description

The class eZSubtreeCache does.

Definition at line 17 of file ezsubtreecache.php.

## Member Function Documentation

## ◆ cleanup()

static eZSubtreeCache::cleanup | ( | & | $nodeList | ) |
| static

Clears template block caches with 'subtree_ezpiry' parameter for nodes in the $nodeList. Note: if 'DelayedCacheBlockCleanup' setting is enabled then expiried caches will be renamed only (removing from disk should be made, for example, by cronjob).

Definition at line 50 of file ezsubtreecache.php.

References cleanupCacheDir(), eZTemplateCacheBlock\subtreeCacheSubDirForNode(), and eZTemplateCacheBlock\templateBlockCacheDir().

Referenced by cleanupByNodeIDs(), and eZContentCacheManager\clearTemplateBlockCache().

## ◆ cleanupAll()

static eZSubtreeCache::cleanupAll | ( |  | ) |
| static

Removes all caches which were created using 'cache-block' operator with 'subtree_expiry' parameter.

Definition at line 75 of file ezsubtreecache.php.

References cleanupCacheDir(), eZTemplateCacheBlock\subtreeCacheBaseSubDir(), and eZTemplateCacheBlock\templateBlockCacheDir().

Referenced by cleanupByNodeIDs(), and eZContentCacheManager\clearAllContentCache().

## ◆ cleanupByNodeIDs()

static eZSubtreeCache::cleanupByNodeIDs | ( | & | $nodeIDList | ) |
| static

Removes caches which were created using 'cache-block' operator with 'subtree_expiry' parameter. $nodeList is an array of node's ids. It is used to determine caches to remove. if $nodeList is not an array or if $nodeList is empty all 'subtree_expiry' caches will be removed.

Definition at line 25 of file ezsubtreecache.php.

References cleanup(), cleanupAll(), and eZContentObjectTreeNode\fetch().

## ◆ cleanupCacheDir()

static eZSubtreeCache::cleanupCacheDir | ( |  | $cacheDir | ) |
| static

If DelayedCacheBlockCleanup is enables just renames $cachDir, otherwise removes $cacheDir from disk.

Definition at line 85 of file ezsubtreecache.php.

References removeExpiryCacheFromDisk(), and renameDir().

Referenced by cleanup(), and cleanupAll().

## ◆ removeAllExpiryCacheFromDisk()

static eZSubtreeCache::removeAllExpiryCacheFromDisk | ( |  | ) |
| static

Definition at line 134 of file ezsubtreecache.php.

References eZSys\cacheDirectory(), and removeExpiryCacheFromDisk().

## ◆ removeExpiryCacheFromDisk()

static eZSubtreeCache::removeExpiryCacheFromDisk | ( |  | $expiryCachePath | ) |
| static

$expiryCachePath is a path to directory with cache that should be removed

Definition at line 143 of file ezsubtreecache.php.

References eZClusterFileHandler\instance().

Referenced by cleanupCacheDir(), and removeAllExpiryCacheFromDisk().

## ◆ renameDir()

static eZSubtreeCache::renameDir | ( |  | $dir | ) |
| static

$dir is a path to the cache directory which should be renamed. $dir is relative to the root directiry of 'subtree' cache.

Definition at line 103 of file ezsubtreecache.php.

References eZFile\APPEND_DEBUG_ON_FAILURE, eZSys\cacheDirectory(), eZDir\mkdir(), eZFile\rename(), and eZDebug\writeWarning().

Referenced by cleanupCacheDir().

The documentation for this class was generated from the following file:

- ezsubtreecache.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.